Name:		xmmp
Version:	0.6.0
Release:	2mdk
Summary:        Creating, playing and converting multimedia files and streams
Group:          Sound
License:	GPL
URL:            http://www.frozenproductions.com/xmmp/
Source:         %{name}-%{version}.tar.bz2
BuildRoot:	%_tmppath/%name-%version-%release-buildroot
ExclusiveArch:	%ix86
Buildrequires:	libsmpeg0.4-devel libgtk+1.2-devel SDL-devel
Conflicts:	mplayer

%description
The aim is to create a modular, highly extendable multimedia system for 
creating, playing and converting multimedia files and streams. As well 
as creating a Media Player for Linux. 

There are several applications for Linux - but all with their own 
advantages and disadvantages. Some have a monolithic structure and are 
not extendable, others support only audio formats. None  of them is 
really flexible enough for all purposes. 

This Project is divided into three parts: 

Multimedia library ( libxmm )
Is the interface between applications ( player, file creators, ... ) 
and the Input / Output Plugins. 

Plugins
Dynamic libraries needed for supporting the Input Formats, Output 
Formats, Graphic and Sound Devices. 

Media Player
A skinned user interface to the library. Provides a library which 
can be used by plugins to create their own skinned windows. 

%package devel
Summary: Devel files for xmmp
Group: Sound
Requires: %{name} = %{version}-%{release}

%description devel
The aim is to create a modular, highly extendable multimedia system for
creating, playing and converting multimedia files and streams. As well
as creating a Media Player for Linux.
 
There are several applications for Linux - but all with their own
advantages and disadvantages. Some have a monolithic structure and are
not extendable, others support only audio formats. None  of them is
really flexible enough for all purposes.
  
This Project is divided into three parts:
   
Multimedia library ( libxmm )
Is the interface between applications ( player, file creators, ... )
and the Input / Output Plugins.
    
Plugins
Dynamic libraries needed for supporting the Input Formats, Output
Formats, Graphic and Sound Devices.
     
Media Player
A skinned user interface to the library. Provides a library which
can be used by plugins to create their own skinned windows.



%prep
%setup -q

%build
# yves 0.5.0.1-4mdk - %%configure breaks build
%configure2_5x
# David - 0.6.0 - %%make breaks build
make OPT="$RPM_OPT_FLAGS -O3 -funroll-loops" CC_OPTS="$RPM_OPT_FLAGS -O3 -fomit-frame-pointer -funroll-loops -ffast-math  -finline-functions -Wall" all

%install
rm -fr %buildroot
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -fr %buildroot

%files 
%defattr(-,root,root)
%doc COPYING CREDITS NEWS README
%_bindir/*
%_libdir/lib*.so
%_libdir/xmmp/
%_datadir/aclocal/*

%files devel
%defattr(-,root,root)
%dir %_includedir/libxmm/
%_includedir/libxmm/*
%dir %_includedir/libxmmplay/
%_includedir/libxmmplay/*
%_libdir/*.a

%changelog
* Mon Jun 16 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.6.0-2mdk
- use %%configure2_5x macro
- compile with $RPM_OPT_FLAGS
- cosmetics

* Mon Aug 19 2002 David BAUDENS <baudens@mandrakesoft.com> 0.6.0-1mdk
- 0.6.0
- Fix Requires

* Sun Jan 20 2002 Yves Duret <yduret@mandrakesoft.com> 0.5.0.1-4mdk
- spec clean up, macros, globbing, fix build
- add buildrequires
- conflicts mplayer

* Fri Aug 24 2001 Etienne Faure <etienne@mandrakesoft.com> 0.5.0.1-3mdk
- rebuild

* Tue Jan 23 2001 David BAUDENS <baudens@mandrakesoft.com> 0.5.0.1-2mdk
- ExclusiveArch: %%ix86

* Wed Nov 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0.1-1mdk
- updated to 0.5.0.1
- added devel package

* Thu Nov 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-1mdk
- new in contribs
